<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="{{url_for('static',filename='sync_icon.png')}}">
    <script type="text/javascript" src="{{url_for('static',filename='js/jquery-3.7.1.min.js')}}"></script>

    <title>AutoSync - Import Tutorials</title>

    <!-- Bootstrap core CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js"
            integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.min.js"
            integrity="sha384-0pUGZvbkm6XF6gxjEnlmuGrJXVbNuzT9qBBavbLwCsOGabYfZo0T0to5eqruptLy"
            crossorigin="anonymous"></script>

    <!-- Custom styles for this template -->
    <style type="text/css">
        /* Move down content because we have a fixed navbar that is 50px tall */
        body {
          padding-top: 50px;
          padding-bottom: 20px;
        }
    </style>
</head>

<body>
{% include "header.html" %}
<div class="jumbotron">
    <div class="container">
        <center><h1>AutoSync - Import Tutorials</h1></center>
        <p class="m-3 p-3 justify-content-center"> The basic installation of Eclipse Graphene, is an empty setup, with
            no available models or pipelines. To get
            started with Eclipse Graphene, there is a possibility to deploy some tutorial pipelines. With this, one can
            play around with these tutorials, and get inspired to created their own pipeline. In order to deploy these
            tutorial pipelines, you directly click the `Import Tutorials` button</p>
    </div>
</div>


<div class="container m-3">
    <div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-8">
            <h3>Onboard and Publish Tutorial Pipelines</h3>
            <p>There are currently {{tutorials|length}} tutorial pipelines available</p>
            <ul class="list-group list-group-flush">
                {% for tutorial_name in tutorials %}
                <li class="list-group-item" id="{{'-'.join(tutorial_name.lower().split(' '))}}">{{tutorial_name}}</li>
                {% endfor %}
            </ul>
            <form action="import_tutorials_landing" id='targetForm' method="post">
                <center>
                    <p>
                        <button name="import_tutorials" class="btn btn-success" data-bs-toggle="modal"
                                onclick="disable_modal_close()"
                                data-bs-target="#staticBackdrop" role="button">Import
                            Tutorials &raquo;
                        </button>
                    </p>
                </center>
            </form>
        </div>
        <div class="col-md-2"></div>
    </div>
</div>

{% include "modal.html" %}
{% include "footer.html" %}
</body>
</html>